Page MenuHomePhabricator

ecore_evas: on internal Evas canvas uncontrolled death, properly clean up Ecore_Evas.
ClosedPublic

Authored by cedric on Jun 14 2019, 5:12 PM.

Details

Summary

This allow evas test to work with an Ecore_Evas directly. It prevent leaking of memory
in the case of half destroying Ecore_Evas.

Depends on D9103

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
cedric created this revision.Jun 14 2019, 5:12 PM
cedric requested review of this revision.Jun 14 2019, 5:12 PM
zmike requested changes to this revision.Jun 17 2019, 10:05 AM

What problem does this solve? Is there a test case?

This revision now requires changes to proceed.Jun 17 2019, 10:05 AM

Yes, evas tests are all the test case. Otherwise it leaks Ecore_Evas during Evas tests.

cedric updated this revision to Diff 22846.Jun 19 2019, 12:18 PM

Rebase and take comments into account.

zmike requested changes to this revision.Thu, Jun 20, 7:03 AM

No, I meant this as in 'answer these questions in the commit log'

This revision now requires changes to proceed.Thu, Jun 20, 7:03 AM
cedric updated this revision to Diff 22901.Thu, Jun 20, 5:03 PM
cedric edited the summary of this revision. (Show Details)

Rebase and rename.

As @zmike mentioned, It's hard to catch the point at this patch, what is exactly issue here why this handling is required....

As @zmike mentioned, It's hard to catch the point at this patch, what is exactly issue here why this handling is required....

That's why I changed the commit message and added some more details. Basically, if we want test to not leak data, that's the easy way to do it.

Hermet accepted this revision.Thu, Jul 11, 7:55 PM
This revision was not accepted when it landed; it landed in state Needs Review.Fri, Jul 12, 10:03 AM
This revision was automatically updated to reflect the committed changes.